This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 379871 - kmail does not handle connection loss gracefully
kmail does not handle connection loss gracefully
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kdepim (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 07:50 EST by Patrick C. F. Ernzer
Modified: 2015-07-13 13:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 14:05:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (2.42 KB, text/plain)
2007-11-13 07:50 EST, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2007-11-13 07:50:12 EST
Description of problem:
kmail will crash sometimes if connectivity is lost at the wrong moment. This is
really annoying for users who are on a flaky link (say UMTS on a train).

Version-Release number of selected component (if applicable):
kdepim-3.5.4-4.fc6

How reproducible:
takes a while but will eventually crash

Steps to Reproduce:
1. start kmail
2. make sure you have an IMAP server configured
3. set the check mail interval to 2 minutes
4. run the following in a root sheel to simulate flaky link
# while true; do echo down;ifdown eth0;sleep 15;echo up;ifup eth0; sleep
30;date;done
  
Actual results:
eventually kmail will crash, I've had runs where this reproducer crashed in less
than 10 minutres and runs where it took > 30 minutes (at which point I went home
for the night to find it crashed in the morning)


Expected results:
A mail user agent needs to be able to deal with connectivity loss without crashing

Additional info:
I've installed kdepim-debuginfo-3.5.4-4.fc6.i386.rpm to get a decent backtrace
from the kde crash tool. Do tell if you want further tests run.
Comment 1 Patrick C. F. Ernzer 2007-11-13 07:50:12 EST
Created attachment 256811 [details]
backtrace

Note You need to log in before you can comment on or make changes to this bug.